Waiting for engine...
Skip to main content

Bundle Service API Reference - MarketplaceMetricsController

Toggle Pane

Download OpenAPI Specification: Download

Run In Postman

For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.

MarketplaceMetricsController

Marketplace metrics

Record marketplace solution metrics

This endpoint records marketplace solution metrics and metadata to AWS Timestream. It captures user interactions with marketplace solutions including installs, views, etc along with associated metadata attributes.

Note: The correlationId is the "x-correlation-id" header present in Bundle Install API response if installing a solution that contains a bundle or else a GUID.

Authorizations:
(Boomi-Platform-JWTBoomi-Platform-API-KeyBoomi-Flow-API-Key)
query Parameters
accountId
required
string

The Platform Account ID to authenticate with

header Parameters
x-boomi-bundle-source
string
Example: swagger

This field is used for sourcing the caller reference for the Bundle API's and capturing it in TimeStream.

Request Body schema: application/json
required
correlationId
required
string [ 0 .. 40 ] characters

The "x-correlation-id" header present in Bundle Install API response or some other GUID

operation
required
string [ 0 .. 25 ] characters

Type of operation performed

operationStatus
required
string [ 0 .. 20 ] characters

Status of the operation

responseTime
required
integer <int64>

Response time of the operation in milliseconds

solutionId
required
string [ 0 .. 36 ] characters

Unique identifier of the marketplace solution

solutionName
required
string [ 0 .. 500 ] characters

Display name of the marketplace solution

bundleId
string [ 0 .. 36 ] characters

Bundle ID associated with the solution (if applicable)

bundleSharingMode
string
Enum: "PUBLIC" "PRIVATE" "ACCESSLIST"

Bundle sharing mode

bundleOwnerAccount
string [ 0 .. 200 ] characters

Account ID of the bundle owner

operationSource
string [ 0 .. 25 ] characters

Source of the operation

object

Additional metadata attributes for the solution with multiple values per attribute

Responses

Response Schema: application/json
any

Request samples

Content type
application/json
{
  • "solutionId": 1234,
  • "solutionName": "NetSuite to Salesforce Integration",
  • "bundleId": "70951ca2-2afe-46c8-b9d1-575477352c80",
  • "correlationId": "NR:d33beb53fa327913e877e9b40a97c022",
  • "bundleSharingMode": "PUBLIC",
  • "bundleOwnerAccount": "owner-account-98765",
  • "operationStatus": "SUCCESS",
  • "operation": "INSTALL",
  • "operationSource": "discover",
  • "responseTime": 1250,
  • "metadata": {
    • "SOLUTIONTYPE": [
      ],
    • "APPLICATION": [
      ],
    • "JOBFUNCTION": [
      ],
    • "USECASE": [
      ],
    • "CREATEDBY": [
      ],
    • "SERVICETYPE": [
      ]
    }
}

Response samples

Content type
application/json
{
  • "resultCode": "OK",
  • "data": "Metric recorded successfully"
}